// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Ultraviolet Radiation Measurement Device"
//   Ultraviolet Radiation Measurement and Application Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2017.
//   http://www.cs.hku.hk/~uv/

void setup() {
  /*
    The setup() function is run once when the program starts.

    Statements in a function are run one by one.
    Every statement ends with a semicolon.

    println() is a function that
      prints something on the message area,
      then a new line.
    The name "println" comes from the abbreviation of
      "print" and "line", and so the last two characters
      are lowercase letters l and n.

    The print() function is like println(),
      but does not output the newline.

    Arguments put inside the println() function is printed out
      at the console.
  */

  // This prints some text within the double quote signs
  // Such text are called Strings.
  println("Hello world!");

  // This prints an empty line
  println();

  // This prints an integer, i.e., a whole number.
  println(4);

  // This prints a double precision floating point number.
  // Double precision floating point numbers, or doubles,
  //   are default if no suffix is specified for numbers with
  //   the decimal point.
  println(-5.2);

  // This prints a floating point number.
  // Note that the f specifies that it is a floating point number.
  println(3.5f);

  // This prints an empty line
  println();

  // Note that the first two function calls are print(),
  //   and the last a println().
  print("The print() function ");
  print("does not print a newline ");
  println("at the end. ");

  // We can see the effect of empty line before the Good bye message.
  println("Good bye!");
}


void draw() {
  /*
    The draw() function is run once when the screen need to be repaint.
    i.e., many times a second.
  */
}
