// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Ultraviolet Radiation Measurement Device"
//   Ultraviolet Radiation Measurement and Application Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2017.
//   http://www.cs.hku.hk/~uv/

/*
  An array can be considered as a cabinet for
    storage of data of a particular type.
  Here we declare that "values" is an integer array.
  You can think that "values" is the name of the space for a cabinet.
  The cabinet is not there yet.
*/
int[] values;


void setup() {
  size(400,300);

  // This creates the array,
  //   like buying a cabinet and put it in the space named "values".
  // Here we are creating a cabinet with 10 drawers.
  // They are named values[0], values[1],..., values[9]
  // The integer in the square bracket is called index.
  // Note that the index starts from 0.
  // It is an error if the index is
  //   smaller than 0 or larger than the size of the array minus one.
  // For example, values[-1] and values[10] will cause error.
  values = new int[10];

  // The size of an array can be accessed as follows.
  println(values.length);

  // The cabinet is there, but the drawers are empty.
  // Let's put values into the drawers using a loop.
  // This is called initializing the array.
  // Note that since the array is an integer array,
  //   the array elements can only be assigned integers.
  for (int r=0; r<values.length; ++r) {
    values[r] = 100 + r*20;
  }
}


// This is run every time the display window can be redrawn.
void draw() {
  background(0);
  fill(192);
  // Display the values of the elements of the array
  for (int r=0; r<values.length; ++r) {
    text(values[r], 20+r*30, 150);
  }
}
